Git Repositories

grub 2.00 added.
authorCyrille Pontvieux <jrd@enialis.net>
Sat, 8 Feb 2014 14:10:52 +0000 (15:10 +0100)
committerCyrille Pontvieux <jrd@enialis.net>
Sat, 8 Feb 2014 14:10:52 +0000 (15:10 +0100)
25 files changed:
grub/14.1/2.00/SLKBUILD [new file with mode: 0644]
grub/14.1/2.00/con [new file with mode: 0644]
grub/14.1/2.00/dep [new file with mode: 0644]
grub/14.1/2.00/grub-default [new file with mode: 0644]
grub/14.1/2.00/grub.color.patch.gz [new file with mode: 0644]
grub/14.1/2.00/grub.dejavusansmono.gfxterm.font.patch.gz [new file with mode: 0644]
grub/14.1/2.00/grub.e75fdee4.terminate.efi.several.times.patch.gz [new file with mode: 0644]
grub/14.1/2.00/grubconfig [new file with mode: 0644]
grub/14.1/2.00/initrd_naming.patch.gz [new file with mode: 0644]
grub/14.1/2.00/makedep [new file with mode: 0644]
grub/14.1/2.00/salix.png [new file with mode: 0644]
grub/14.1/2.00/salix.xcf.xz [new file with mode: 0644]
grub/14.1/2.00/setup.grubconfig [new file with mode: 0644]
grub/14.1/2.00/sug [new file with mode: 0644]
grub/14.1/2.00/txtHRnXiHYUrM.patch.gz [new file with mode: 0644]
grub/14.1/2.00/update-grub [new file with mode: 0644]
grub/14.1/fixversion [new file with mode: 0644]
grub/14.1/version [new file with mode: 0644]
grub/arch [new file with mode: 0644]
grub/buildschema [new file with mode: 0644]
grub/dlurl [new file with mode: 0644]
grub/md5sum [new file with mode: 0644]
grub/pattern [new file with mode: 0644]
grub/schema [new file with mode: 0644]
grub/url [new file with mode: 0644]

diff --git a/grub/14.1/2.00/SLKBUILD b/grub/14.1/2.00/SLKBUILD
new file mode 100644 (file)
index 0000000..4fadbe4
--- /dev/null
@@ -0,0 +1,157 @@
+# vim: syn=sh ft=sh et sw=2 sts=2 ts=2 tw=0:
+#Packager: Cyrille Pontvieux <jrd~at~salixos~dot~org>
+
+pkgname=grub
+pkgver=2.00
+_patchesver=1.0
+_intelresver=r9
+_luaver=r24
+_ntldrver=r21
+_evalver=1.0
+_getdatever=1.0
+_gettextvarver=1.0
+_unifontver=5.1.20080820
+_dejavuver=2.33
+pkgrel=5cp
+
+source=(
+  "grub-default"
+  "salix.png"
+  "salix.xcf.xz"
+  "update-grub"
+  "setup.grubconfig"
+  "grubconfig"
+  "initrd_naming.patch.gz"
+  "txtHRnXiHYUrM.patch.gz"
+  "grub.dejavusansmono.gfxterm.font.patch.gz"
+  "grub.e75fdee4.terminate.efi.several.times.patch.gz"
+  "grub.color.patch.gz"
+  "ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-$pkgver.tar.xz"
+  "ftp://ftp.archlinux.org/other/grub2/grub2_extras_915resolution_$_intelresver.tar.xz"
+  "ftp://ftp.archlinux.org/other/grub2/grub2_extras_lua_$_luaver.tar.xz"
+  "ftp://ftp.archlinux.org/other/grub2/grub2_extras_ntldr-img_$_ntldrver.tar.xz"
+  "http://git.enialis.net/download/grub2-patches/grub2-patches-$_patchesver.tar.xz"
+  "http://git.enialis.net/download/grub2-eval/grub2-eval-$_evalver.tar.xz"
+  "http://git.enialis.net/download/grub2-getdate/grub2-getdate-$_getdatever.tar.xz"
+  "http://git.enialis.net/download/grub2-gettextvar/grub2-gettextvar-$_gettextvarver.tar.xz"
+  "http://unifoundry.com/unifont-$_unifontver.pcf.gz"
+  "http://sourceforge.net/projects/dejavu/files/dejavu/$_dejavuver/dejavu-sans-ttf-$_dejavuver.zip"
+)
+sourcetemplate=http://people.salixos.org/jrd/salix/$pkgname/$pkgver-\$arch-$pkgrel/
+docs=("readme" "install" "copying" "changelog" "authors" "news" "todo")
+url=http://www.gnu.org/software/grub/
+options=('noextract' 'nostrip' 'noautodotnew')
+dotnew=('etc/default/grub' 'etc/grub.d/00_header' 'etc/grub.d/10_linux' 'etc/grub.d/20_linux_xen' 'etc/grub.d/30_os-prober' 'etc/grub.d/40_custom' 'etc/grub.d/41_custom')
+
+slackdesc=\
+(
+#|-----handy-ruler------------------------------------------------------|
+"$pkgname (the second GNU GRand Unified Bootloader)"
+"GRUB 2 has been rewritten from scratch to clean up everything for"
+"modularity and portability."
+"Features are: Scripting support, Graphical interface, Rescue mode,"
+"cross-platform and many more"
+"Briefly, boot loader is the first software program that runs when a"
+"computer starts. It is responsible for loading and transferring"
+"control to the operating system kernel software (such as the Hurd or"
+"the Linux). The kernel initializes the rest of the operating system."
+"* gettextvar, eval, getdate commands added."
+)
+
+build() {
+  # CFLAGS and CXXFLAGS should not contains fPIC or compile will fail
+  export CFLAGS=$(echo "$CFLAGS"|sed 's/-fPIC/-fno-PIC/')
+  export CXXFLAGS=$(echo "$CXXFLAGS"|sed 's/-fPIC/-fno-PIC/')
+  cd $SRC || return 1
+  tar xf grub-$pkgver.tar.xz || return 1
+  unzip $SRC/dejavu-sans-ttf-$_dejavuver.zip || return 1
+  cd grub-$pkgver || return 1
+  # Use /boot/initrd.gz as a valid initrd name:
+  zcat $SRC/initrd_naming.patch.gz | patch -p1 || return 1
+  # Patch for recent glibc:
+  zcat $SRC/txtHRnXiHYUrM.patch.gz | patch -p0 || return 1
+  # Support DejaVuSansMono font (dejavusansmono.pf2) by default:
+  zcat $SRC/grub.dejavusansmono.gfxterm.font.patch.gz | patch -p1 || return 1
+  # Terminate EFI several times.  This is a workaround for broken UEFI firmware.
+  zcat $SRC/grub.e75fdee4.terminate.efi.several.times.patch.gz | patch -p1 || return 1
+  # patch to define menu colors in default/grub (get from Arch Linux)
+  zcat $SRC/grub.color.patch.gz | patch -p1 || return 1
+  # other patches
+  tar xf $SRC/grub2-patches-$_patchesver.tar.xz -C "$SRC" || return 1
+  # patch to customize the title text and position in normal and theme mode.
+  patch -p1 -i $SRC/grub2-patches-$_patchesver/grub2-title_menu.patch || return 1
+  # grub extras
+  mkdir grub-extras
+  export GRUB_CONTRIB="$PWD/grub-extras/"
+  tar xf $SRC/grub2_extras_915resolution_$_intelresver.tar.xz -C "$GRUB_CONTRIB" || return 1
+  tar xf $SRC/grub2_extras_lua_$_luaver.tar.xz -C "$GRUB_CONTRIB" || return 1
+  tar xf $SRC/grub2_extras_ntldr-img_$_ntldrver.tar.xz -C "$GRUB_CONTRIB" || return 1
+  tar xf $SRC/grub2-eval-$_evalver.tar.xz -C "$GRUB_CONTRIB" || return 1
+  mv "$GRUB_CONTRIB"/grub2-eval-$_evalver "$GRUB_CONTRIB"/eval || return 1
+  tar xf $SRC/grub2-getdate-$_getdatever.tar.xz -C "$GRUB_CONTRIB" || return 1
+  mv "$GRUB_CONTRIB"/grub2-getdate-$_getdatever "$GRUB_CONTRIB"/getdate || return 1
+  tar xf $SRC/grub2-gettextvar-$_gettextvarver.tar.xz -C "$GRUB_CONTRIB" || return 1
+  mv "$GRUB_CONTRIB"/grub2-gettextvar-$_gettextvarver "$GRUB_CONTRIB"/gettextvar || return 1
+  cp $SRC/unifont-$_unifontver.pcf.gz unifont.pcf.gz || return 1
+  cp $SRC/dejavu-sans-ttf-$_dejavuver/ttf/DejaVuSans.ttf . || return 1
+  ./autogen.sh
+  ./configure \
+    --with-platform="pc" \
+    --target="i386" \
+    --prefix=/usr \
+    --libdir=/usr/lib${LIBDIRSUFFIX} \
+    --localstatedir=/var \
+    --sysconfdir=/etc \
+    --mandir=/usr/man \
+    --infodir=/usr/share/info \
+    --docdir=/usr/doc/$pkgname-$pkgver \
+    --program-prefix= \
+    --enable-cache-stats \
+    --enable-boot-time \
+    --enable-device-mapper \
+    $([ $ARCH = x86_64 ] && echo '--enable-efiemu' || echo '--disable-efiemu') \
+    --enable-grub-emu-usb \
+    --enable-grub-mkfont \
+    --enable-grub-mount \
+    --enable-nls \
+    --with-bootdir="/boot" \
+    --with-grubdir="grub" \
+    --disable-silent-rules \
+    --disable-werror \
+    --build=$arch-slackware-linux || return 1
+  make -j $numjobs || return 1
+  make install DESTDIR=$PKG || return 1
+  # EFI compilation
+  ./configure \
+    --with-platform="efi" \
+    --target=$(echo $ARCH | grep -q "i.86" && echo "i386" || echo $ARCH) \
+    --prefix=/usr \
+    --libdir=/usr/lib${LIBDIRSUFFIX} \
+    --localstatedir=/var \
+    --sysconfdir=/etc \
+    --mandir=/usr/man \
+    --infodir=/usr/share/info \
+    --docdir=/usr/doc/$pkgname-$pkgver \
+    --program-prefix= \
+    --disable-efiemu \
+    --enable-cache-stats \
+    --enable-boot-time \
+    --enable-device-mapper \
+    --enable-grub-emu-usb \
+    --enable-grub-mkfont \
+    --enable-grub-mount \
+    --enable-nls \
+    --with-bootdir="/boot" \
+    --with-grubdir="grub" \
+    --disable-silent-rules \
+    --disable-werror \
+    --build=$arch-slackware-linux || return 1
+  make clean || return 1
+  make -j $numjobs || return 1
+  make install DESTDIR=$PKG || return 1
+  install -D -m644 $SRC/grub-default $PKG/etc/default/grub || return 1
+  install -D -m644 $SRC/salix.png $PKG/boot/grub/salix.png || return 1
+  install -D -m755 $SRC/update-grub $PKG/usr/sbin/update-grub || return 1
+  install -D -m755 $SRC/grubconfig $PKG/sbin/grubconfig || return 1
+  install -D -m755 $SRC/setup.grubconfig $PKG/var/log/setup/setup.grubconfig || return 1
+}
diff --git a/grub/14.1/2.00/con b/grub/14.1/2.00/con
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/grub/14.1/2.00/dep b/grub/14.1/2.00/dep
new file mode 100644 (file)
index 0000000..b9b2771
--- /dev/null
@@ -0,0 +1 @@
+bzip2,freetype,fuse,libpng,lvm2,udev,xz,zlib
diff --git a/grub/14.1/2.00/grub-default b/grub/14.1/2.00/grub-default
new file mode 100644 (file)
index 0000000..7a05313
--- /dev/null
@@ -0,0 +1,62 @@
+# If you change this file, run 'update-grub' afterwards to update
+# /boot/grub/grub.cfg.
+
+# If you want to dynamically change the default entry booted using
+# `grub-set-default' or `grub-reboot', set this to "saved".
+# Placing a number here will always boot that entry and the previously
+# mentioned two tools won't have any effect.
+# For savedefault functionality
+GRUB_DEFAULT=saved
+
+#GRUB_HIDDEN_TIMEOUT=0
+GRUB_HIDDEN_TIMEOUT_QUIET=false
+GRUB_TIMEOUT=10
+GRUB_DISTRIBUTOR="Salix $(sed -e 's/^Slackware //' /etc/slackware-version)"
+GRUB_CMDLINE_LINUX_DEFAULT="quiet"
+GRUB_CMDLINE_LINUX="vt.default_utf8=1"
+
+# Uncomment this to enable savedefault support (i.e. the last chosen
+# menuentry is booted the next time).
+# Note: This depends on "GRUB_DEFAULT=saved"
+#GRUB_SAVEDEFAULT=true
+
+# The background image which should be used for the graphical terminal.
+GRUB_BACKGROUND="/boot/grub/salix.png"
+
+# Uncomment and set to the desired menu colors.  Used by normal and wallpaper
+# modes only.  Entries specified as foreground/background.
+#GRUB_COLOR_NORMAL="light-blue/black"
+#GRUB_COLOR_HIGHLIGHT="light-cyan/blue"
+
+# The theme which should be used for the graphical terminal.
+# This makes the background option obsolete.
+#GRUB_THEME="/boot/grub/mytheme"
+
+# Uncomment to disable graphical terminal (grub-pc only)
+#GRUB_TERMINAL_OUTPUT=console
+
+# The resolution used on graphical terminal
+# note that you can use only modes which your graphic card supports via VBE
+# you can see them in real GRUB with the command `vbeinfo'
+GRUB_GFXMODE=auto
+
+# Uncomment to allow the kernel use the same resolution used by grub
+GRUB_GFXPAYLOAD_LINUX=keep
+
+# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
+#GRUB_DISABLE_LINUX_UUID=true
+
+# Uncomment to disable generation of recovery mode menu entries
+GRUB_DISABLE_RECOVERY=true
+
+# Uncomment to get a beep at grub start
+#GRUB_INIT_TUNE="480 440 1"
+
+# Uncomment to disable the detection of other installed operating
+# systems using os-prober
+#GRUB_DISABLE_OS_PROBER=true
+
+# Uncomment to enable BadRAM filtering, modify to suit your needs
+# This works with Linux (no patch required) and with any kernel that obtains
+# the memory map information from GRUB (GNU Mach, kernel of FreeBSD ...)
+#GRUB_BADRAM="0x01234567,0xfefefefe,0x89abcdef,0xefefefef"
diff --git a/grub/14.1/2.00/grub.color.patch.gz b/grub/14.1/2.00/grub.color.patch.gz
new file mode 100644 (file)
index 0000000..156c118
Binary files /dev/null and b/grub/14.1/2.00/grub.color.patch.gz differ
diff --git a/grub/14.1/2.00/grub.dejavusansmono.gfxterm.font.patch.gz b/grub/14.1/2.00/grub.dejavusansmono.gfxterm.font.patch.gz
new file mode 100644 (file)
index 0000000..b6b8482
Binary files /dev/null and b/grub/14.1/2.00/grub.dejavusansmono.gfxterm.font.patch.gz differ
diff --git a/grub/14.1/2.00/grub.e75fdee4.terminate.efi.several.times.patch.gz b/grub/14.1/2.00/grub.e75fdee4.terminate.efi.several.times.patch.gz
new file mode 100644 (file)
index 0000000..e7275af
Binary files /dev/null and b/grub/14.1/2.00/grub.e75fdee4.terminate.efi.several.times.patch.gz differ
diff --git a/grub/14.1/2.00/grubconfig b/grub/14.1/2.00/grubconfig
new file mode 100644 (file)
index 0000000..ba4c551
--- /dev/null
@@ -0,0 +1,166 @@
+#!/bin/sh
+#
+# Copyright 2013 Dimitris Tzemos <djemos@slackel.gr>
+# Copyright 2013  SalixOS Linux, <www.salixos.org>
+# Copyright 2013  Slackel Linux <www.slackel.gr>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+
+# Set OS name (Slackel, Salix)
+#OS="Slackel $(sed -e 's/^Slackware //' /etc/slackware-version)"
+# are we on a running system?
+if [ -r /etc/slackware-version ]; then
+OS="Salix $(sed -e 's/^Slackware //' /etc/slackware-version)"
+else
+OS="Salix"
+fi
+
+# Title
+#BACKTITLE="$OS GRUB2 Installer v0.1 - By Dimitris Tzemos <djemos@slackel.gr>"
+BACKTITLE="$OS - GRUB2 Installer"
+
+initialize(){
+# Create temporary directory
+TMP=/var/log/setup/tmp
+if [ ! -d "$TMP" ]; then 
+ mkdir -p "$TMP"
+fi
+#T_PX="`cat $TMP/SeTT_PX`"
+
+# Set the OS root directory (called T_PX for some unknown reason).
+# If an argument is given to this script and it is a directory, it
+# is taken to be the root directory.  First though, we check for a
+# directory named $T_PX, and that gets the first priority.
+if [ ! -d "$T_PX" ]; then
+  if [ ! "$1" = "" ]; then
+    if [ -d "$1" ]; then
+      T_PX="$1"
+    fi
+  else
+    # Are we on the installer image?
+    if [ -r /usr/lib/setup/SeTpartitions ]; then
+      T_PX=/mnt
+    # Or, are we on a running system?
+    elif [ -r /etc/slackware-version ]; then
+      T_PX=/
+    # One more installer-likely thing:
+    elif [ -r /usr/lib/setup/setup ]; then
+      T_PX=/mnt
+    else
+      # We will have to assume we've on an installed and running system.
+      T_PX=/
+    fi
+  fi
+fi
+
+# Determine the root partition (such as /dev/hda2)
+ROOT_DEVICE=$2
+if [ "$ROOT_DEVICE" = "" ]; then
+ if [ -r $TMP/SeTrootdev ]; then
+  ROOT_DEVICE="`cat $TMP/SeTrootdev`"
+ else
+  ROOT_DEVICE="`mount | cut -f 1 -d " " | sed -n "1 p"`"
+ fi
+fi
+
+#Find Root Device
+echo $ROOT_DEVICE > "$TMP/device.txt"
+
+# Define selected device and mount point
+DEV="$(cat "$TMP/device.txt"|tr -d ' ')"
+if [ ! "$(mount|grep "^$DEV")" ]; then
+       mount $DEV >/dev/null 2>&1
+fi
+
+if [ "$DEV" = "" -o "$T_PX" = "" ]; then exit 1; fi
+}
+
+ask_append() {
+ dialog --title "OPTIONAL GRUB_CMDLINE_LINUX_DEFAULT=\"<kernel parameters>\" LINE" --inputbox \
+"Some systems might require extra parameters to be passed to the kernel. \
+If you needed to pass parameters to the kernel when you booted the Slackware \
+bootdisk, you'll probably want to enter the same ones here.  Most \
+systems won't require any extra parameters.  If you don't need any, just \
+hit ENTER to continue.\n\
+" 12 72 2> $TMP/reply
+ RETVAL=$?
+ return $RETVAL
+}
+
+append_grub_conf(){
+ask_append;
+ if [ $? = 1 -o $? = 255 ]; then
+  GRUB_CMDLINE_LINUX_DEFAULT="quiet "
+ fi
+ GRUB_CMDLINE_LINUX_DEFAULT="quiet `cat $TMP/reply`"
+UTFVT="vt.default_utf8=1"
+
+ if [ ! "$GRUB_CMDLINE_LINUX_DEFAULT" = "" -o ! "$UTFVT" = "" ]; then
+     sed -i "s/GRUB_CMDLINE_LINUX_DEFAULT=.*/GRUB_CMDLINE_LINUX_DEFAULT='$GRUB_CMDLINE_LINUX_DEFAULT'/" $T_PX/etc/default/grub
+     sed -i "s/GRUB_CMDLINE_LINUX=.*/GRUB_CMDLINE_LINUX='$UTFVT'/" $T_PX/etc/default/grub   
+ fi
+}
+
+
+install_grub(){
+# Setup Menu
+dialog --backtitle "$BACKTITLE" --title " INSTALL GRUB2 " \
+--menu "\nWhere do you want to install the boot loader?" 0 0 0 \
+"MBR" "Be installed in $(echo "$DEV"|sed 's/[0-9]$//') (recommended) " \
+"ROOT" "Be installed in $DEV (Expert)" \
+"EXIT" "Quit (Do not install the grub2)" \
+2> $TMP/option_menu.txt
+OPTION="$(cat $TMP/option_menu.txt)"
+if [ "$OPTION" = "MBR" ]; then
+       DEVICE="$(echo "$DEV"|sed 's/[0-9]$//')"
+elif [ "$OPTION" = "ROOT" ]; then
+       DEVICE="$DEV"
+else
+  clear && exit 1
+fi
+
+# Confirm Installation
+dialog --backtitle "$BACKTITLE" \
+       --title " CONTINUE? " \
+       --yesno "\n This will install the GRUB2 bootloader \n in $DEVICE \n " 0 0
+if [ $? -ne 0 ]; then exit 1; fi
+
+# install grub2
+TEXT="Installing bootloader in $DEVICE...\n "
+chroot "$T_PX" grub-install --target=i386-pc --boot-directory=/boot --recheck --force $DEVICE 2>&1 |\
+while read LINE; do
+       TEXT="$TEXT \n$LINE"
+       dialog --backtitle "$BACKTITLE" --title " INSTALLING GRUB2 " --infobox "$TEXT" 0 0
+done
+sleep 3
+
+# Update boot menu
+TEXT="Updating /boot/grub/grub.cfg...\n "
+chroot "$T_PX" update-grub 2>&1 |\
+while read LINE; do
+       TEXT="$TEXT \n$LINE"
+       dialog --backtitle "$BACKTITLE" --title " UPDATING GRUB2 " --infobox "$TEXT" 0 0
+done
+sleep 1
+}
+
+initialize
+append_grub_conf
+install_grub
diff --git a/grub/14.1/2.00/initrd_naming.patch.gz b/grub/14.1/2.00/initrd_naming.patch.gz
new file mode 100644 (file)
index 0000000..f9b8f54
Binary files /dev/null and b/grub/14.1/2.00/initrd_naming.patch.gz differ
diff --git a/grub/14.1/2.00/makedep b/grub/14.1/2.00/makedep
new file mode 100644 (file)
index 0000000..2e1d15d
--- /dev/null
@@ -0,0 +1 @@
+kernel-headers|kernel-source,gnu-efi
diff --git a/grub/14.1/2.00/salix.png b/grub/14.1/2.00/salix.png
new file mode 100644 (file)
index 0000000..29fb61b
Binary files /dev/null and b/grub/14.1/2.00/salix.png differ
diff --git a/grub/14.1/2.00/salix.xcf.xz b/grub/14.1/2.00/salix.xcf.xz
new file mode 100644 (file)
index 0000000..e2d2803
Binary files /dev/null and b/grub/14.1/2.00/salix.xcf.xz differ
diff --git a/grub/14.1/2.00/setup.grubconfig b/grub/14.1/2.00/setup.grubconfig
new file mode 100644 (file)
index 0000000..45b61b0
--- /dev/null
@@ -0,0 +1,3 @@
+#!/bin/sh
+#BLURB="Set up GRUB to boot Linux (and other OSes) from your hard drive"
+sh sbin/grubconfig "$@"
diff --git a/grub/14.1/2.00/sug b/grub/14.1/2.00/sug
new file mode 100644 (file)
index 0000000..e69de29
diff --git a/grub/14.1/2.00/txtHRnXiHYUrM.patch.gz b/grub/14.1/2.00/txtHRnXiHYUrM.patch.gz
new file mode 100644 (file)
index 0000000..c84eaad
Binary files /dev/null and b/grub/14.1/2.00/txtHRnXiHYUrM.patch.gz differ
diff --git a/grub/14.1/2.00/update-grub b/grub/14.1/2.00/update-grub
new file mode 100644 (file)
index 0000000..6939f81
--- /dev/null
@@ -0,0 +1,5 @@
+#!/bin/sh
+if [ -e /boot/grub/grub.cfg ]; then
+  mv -n /boot/grub/grub.cfg /boot/grub/grub.cfg.old.$$ || exit 1
+fi
+grub-mkconfig -o /boot/grub/grub.cfg "$@"
diff --git a/grub/14.1/fixversion b/grub/14.1/fixversion
new file mode 100644 (file)
index 0000000..c508d53
--- /dev/null
@@ -0,0 +1 @@
+false
diff --git a/grub/14.1/version b/grub/14.1/version
new file mode 100644 (file)
index 0000000..2888737
--- /dev/null
@@ -0,0 +1 @@
+2.00
diff --git a/grub/arch b/grub/arch
new file mode 100644 (file)
index 0000000..0702cb5
--- /dev/null
+++ b/grub/arch
@@ -0,0 +1 @@
+all
diff --git a/grub/buildschema b/grub/buildschema
new file mode 100644 (file)
index 0000000..e8c05a6
--- /dev/null
@@ -0,0 +1 @@
+configure
diff --git a/grub/dlurl b/grub/dlurl
new file mode 100644 (file)
index 0000000..a161a17
--- /dev/null
@@ -0,0 +1 @@
+ftp://ftp.gnu.org/gnu/grub/
diff --git a/grub/md5sum b/grub/md5sum
new file mode 100644 (file)
index 0000000..f51320e
--- /dev/null
@@ -0,0 +1 @@
+6fdc67d566ddb436daf367803fa6a2ed
diff --git a/grub/pattern b/grub/pattern
new file mode 100644 (file)
index 0000000..d69470c
--- /dev/null
@@ -0,0 +1 @@
+sed -rn '/<a href=".+">/s,.*<a href=".+">[^<]+-([0-9][^<]*)\.tar\.[bgx]z2?<.*,\\1,p'|sort -rV
diff --git a/grub/schema b/grub/schema
new file mode 100644 (file)
index 0000000..c4db1fa
--- /dev/null
@@ -0,0 +1 @@
+ftp
diff --git a/grub/url b/grub/url
new file mode 100644 (file)
index 0000000..4e04518
--- /dev/null
+++ b/grub/url
@@ -0,0 +1 @@
+http://www.gnu.org/software/grub/